#include "shaderprograminterface.h"
#include "engineinterface.h"
#include "shaderprogramm.h"

namespace M3D {
#define GET_SHADER _engine_->_get_shader(_id_)

void ShaderProgramInterface::load( const std::string & fname )
{
	GET_SHADER->load(fname);
}

}
